﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Routing;

namespace UIExpert.Web
{
    public class RouteConfig
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapHttpRoute(
                name: "DefaultApi",
                routeTemplate: "api/{controller}/{id}",
                defaults: new { id = RouteParameter.Optional }
            );

            routes.MapRoute(
                name: "Default",
                url: "{controller}/{action}/{id}",
                defaults: new { controller = "Home", action = "Index", id = UrlParameter.Optional }
            );

            routes.MapRoute(
                name: "Module",
                url: "{controller}/{action}/{module}/{category}",
                defaults: new { controller = "Module", action = "GoCategory", module = "", category = "" }
            );

            routes.MapRoute(
                name: "Page",
                url: "{controller}/{action}/{module}/{category}/{page}",
                defaults: new { controller = "Page", action = "GoTo", module = "", category = "", page = "" }
            );
        }
    }
}